[parted-devel] [PATCH 2/2] tests: fix t6100-mdraid-partitions
Phillip Susi
psusi at ubuntu.com
Fri May 4 15:38:17 BST 2018
The test was failing because it didn't wait for the md device
to appear after creating it.
---
tests/t6100-mdraid-partitions.sh | 1 +
1 file changed, 1 insertion(+)
diff --git a/tests/t6100-mdraid-partitions.sh b/tests/t6100-mdraid-partitions.sh
index dbb1686..b37cddf 100755
--- a/tests/t6100-mdraid-partitions.sh
+++ b/tests/t6100-mdraid-partitions.sh
@@ -47,6 +47,7 @@ cleanup_fn_() {
# create mdraid on top of both partitions
mdadm -C $md_dev --force -R -l1 -n2 "${scsi_dev}1" "${scsi_dev}2"
+wait_for_dev_to_appear_ ${md_dev} || { fail=1; cat /proc/partitions; }
# create gpt and two partitions on the raid device
parted -s $md_dev mklabel gpt \
--
2.7.4
More information about the parted-devel
mailing list